Debian Bug report logs - #709857
bail out early in kernel glue if no kerenls are installed

version graph

Package: extlinux; Maintainer for extlinux is Daniel Baumann <mail@daniel-baumann.ch>; Source for extlinux is src:syslinux.

Reported by: Andreas Beckmann <anbe@debian.org>

Date: Sun, 26 May 2013 02:15:01 UTC

Severity: minor

Tags: pending

Found in version syslinux/3:6.00~pre4+dfsg-5

Fixed in version 3:6.00~pre4+dfsg-6

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <mail@daniel-baumann.ch>:
Bug#709857; Package extlinux. (Sun, 26 May 2013 02:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Beckmann <anbe@debian.org>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <mail@daniel-baumann.ch>. (Sun, 26 May 2013 02:15:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andreas Beckmann <anbe@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: extlinux: fails to install: post-installation script returned error exit status 1
Date: Sun, 26 May 2013 04:13:34 +0200
[Message part 1 (text/plain, inline)]
Package: extlinux
Version: 3:6.00~pre4+dfsg-5
Severity: serious
User: debian-qa@lists.debian.org
Usertags: piuparts

Hi,

during a test with piuparts I noticed your package failed to install. As
per definition of the release team this makes the package too buggy for
a release, thus the severity.

>From the attached log (scroll to the bottom...):

  Preparing to replace extlinux 3:4.05+dfsg-6+deb7u2 (using .../extlinux_3%3a6.00~pre4+dfsg-5_amd64.deb) ...
  Unpacking replacement extlinux ...
  Setting up extlinux (3:6.00~pre4+dfsg-5) ...
  P: Checking for EXTLINUX directory... found.
  ls: cannot access vmlinuz-*: No such file or directory
  E: /usr/lib/syslinux/memdisk: No such file
  dpkg: error processing extlinux (--configure):
   subprocess installed post-installation script returned error exit status 1
  Errors were encountered while processing:
   extlinux


cheers,

Andreas
[extlinux_3:6.00~pre4+dfsg-5.log.gz (application/x-gzip, attachment)]

Changed Bug title to 'bail out early in kernel glue if no kerenls are installed' from 'extlinux: fails to install: post-installation script returned error exit status 1' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 09:54:04 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 09:54:05 GMT) Full text and rfc822 format available.

Severity set to 'minor' from 'serious' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 09:54:06 GMT) Full text and rfc822 format available.

Marked as fixed in versions 3:6.00~pre4+dfsg-6. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 15:36:06 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 May 2013 15:36:07 GMT) Full text and rfc822 format available.

Notification sent to Andreas Beckmann <anbe@debian.org>:
Bug acknowledged by developer. (Mon, 27 May 2013 15:36:08 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 25 Jun 2013 07:37:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 10:37:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.